LINUX.ORG.RU
ФорумAdmin

Не установить synergy on kali linux

 ,


0

1

Прекрасно ставится на убунту, но не могу поставить на кали


Установка в убунте:

cd /tmp
wget http://symless.com/files/nightly/synergy-issue5640-branding-rc1-4e0f845-Linux-x86_64.deb
sudo dpkg -i synergy-issue5640-branding-rc1-4e0f845-Linux-x86_64.deb
В Кали возникает ошибка:

INFO: log file: /var/log/synergy.log
/usr/bin/synergyc: error while loading shared libraries: libssl.so.1.0.0: cannot open shared object file: No such file or directory



Проблемы с зависимостями? Почему при установке из .deb пакета ничего не ругалось? Как решить проблему с libssl.so.1.0.0?


Пробовал компилить из исходников, но там компилятся только демоны, оболочки нет, и не видит их сервер всё равно...

Пишу не сразу, двое суток красноглазия и гугления, в Кали нуб полный...

Почему при установке из .deb пакета ничего не ругалось?

Потому, что зависимости проверяются только при установке через пакетный менеджер, т.е. apt или aptitude.

При установке через утилиту deb просто распаковывается deb пакет и всё.

Доустанавливай необходимые пакеты, хотя с другой стороны, эта библиотека должна присутствовать, поищи что-то похожее в /lib или /usr/lib, возможно просто версия не нравится. Если нет - ставь соответствующий пакет.

kostik87 ★★★★★ ()

Как решить проблему с libssl.so.1.0.0

х.з. какие пакеты в кали, но попробуй. apt-get install libssl1.0.0 libssl-dev вообще твоя проблема первая строчка гугления.

ving2 ()
Ответ на: комментарий от kostik87

Что-то не нашёл ничего, нету. Что ставить не знаю.
libssl.so.1.0.0
libssl.so
libssl

ничего такого согласно apt-get install нет.

Вообще норма, что у меня в /etc/apt/sources.list три записи всего?

hikikomori ★★★ ()
Ответ на: комментарий от hikikomori

Проблему с зависимостью libssl1.0.0 решил:

https://packages.debian.org/jessie/libssl1.0.0

Скачал оттуда .deb пакет.
Сейчас другие проблемы начались, не пускает сервер

 ERROR: server refused client with name "kalima"
[2016-10-13T10:29:39] 
WARNING: failed to connect to server: server refused client with our name

hikikomori ★★★ ()
Ответ на: комментарий от slon

Скажите, вы достаточный авторитет, чтобы я считался с вашим не аргументированным мнением?

на сервере, чтобы он увидел клиентские ПК, нужно опять войти по кнопке «настроить сервер», и перетащив в рабочую область новый ПК обязательно дать ему имя клиента. Иначе не подключит. Я указываю - но не подключает. На убунте метод работал.

hikikomori ★★★ ()
Ответ на: комментарий от hikikomori

Благодарю всех высказавшихся, Вылечилось изменением имени клиента в меню Редактировать - Настройки - Имя экрана.

на какое-либо другое, затем обратно. Либо на сервере тоже вписать новое в меню «настроить сервер»

hikikomori ★★★ ()

Обложатся своими калями для какиров и сношают всем мозги по форумам !

Deleted ()

Так чё все на этот кали форсят? Флэшмоб?

anonymous ()
Ответ на: комментарий от hikikomori

Скажите, вы достаточный авторитет, чтобы я считался с вашим не аргументированным мнением?

Да, он «достаточный авторитет» - kali в оффтопик листе Оффтопик-лист (изменён 16.07.2021)
PS Сам только недавно об этом узнал :)

anc ★★★★★ ()
Ответ на: комментарий от crutch_master

Вопросы по Kali Linux, относящиеся к базовой настройке системы и ее использованию, а также действия, попадающие под статью 272 УК РФ.



Это вы уши притянули. Установка Synergy в Кали ни к базовой настройке, ни к 272 УК РФ отношения не имеет.

Касаемо снобизма к Кали догадываюсь, это от овер биллиона школоло хулхацкеров, отношения к которым ни по годам ни целям я не имею.

hikikomori ★★★ ()
Ответ на: комментарий от hikikomori

error while loading shared libraries: libssl.so.1.0.0: cannot open shared object file: No such file or directory

Это вы уши притянули. Установка Synergy в Кали ни к базовой настройке...

сорри, но это и есть «базовая настройка». отсутствие либ, не более того. и к кали оно отношения не имеет, это общий вопрос

upcFrost ★★★★★ ()
Ответ на: комментарий от upcFrost

Возможно вы и правы, но так проблемы с любым софтом можно списать на базовую настройку, ведь любой софт извините за тавтологию, зависит от зависимостей. Но спорить не буду, проще более профильный форум найти.

hikikomori ★★★ ()
Ответ на: комментарий от Jameson

Нет тут оффтопа. Вопрос, конечно, новичковый, но это у всех так было. Конкретно про Kali и тем более про взлом здесь почти ничего и нет, топик про debian, на самом деле.

Falcon-peregrinus ★★★★★ ()
Ответ на: комментарий от hikikomori

Но спорить не буду, проще более профильный форум найти.

да не профильный форум тут нужен, а вообще General... короче, пока модераторы не потерли. у тебя нету libssl.so.1.0.0, лежать она вероятнее всего должна в /lib/x86_64-linux-gnu/libssl.so.1.0.0 (ну либо куда там у тебя env смотрит).

Вот ссыль по старой убунте.

http://askubuntu.com/questions/673081/error-loading-shared-libraries-libssl-s...

Может поможет. В случае чего - хз, у тебя тупо нет одного файла. Ищи какой пакет его дает.

upcFrost ★★★★★ ()
Ответ на: комментарий от hikikomori

а, ок, сорри, не видел.

Ну, второй вопрос уже правда по самой synergy, тут хз

upcFrost ★★★★★ ()
Ответ на: комментарий от Falcon-peregrinus

Понимаешь, меня как то смущает уровень вопроса и кали линукс вместе. Это не обезъяна с гранатой конечно, но что то подобное, сильно незрелое, не только по вопросу и неумению гуглить, но и по ходу самого треда, амбиции, все дела + сильно специфический инструмент... Мне бы лично хватило ума прочесть правила, увидеть что кали - оффтоп и спросить про дебиан например. Хотя мне бы и писать сюда в голову не пришло... гугль + документация на пакетный менеджер... чего там два дня искать...

Jameson ★★★★ ()
Последнее исправление: Jameson (всего исправлений: 1)

Деточки продолжают взламывать чужие вк-шчки. П.21 оффтопик листа вашего, млин. Автора в бан.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.